/* Estilos a las páginas que tendran (Inversionistas) como plantilla */

.inversionistas{
    position: relative;
}

.inversionistas .capa{
    position: absolute;
    z-index: -1;
    width: 100%;
    min-height: 16rem;
    background: url('https://rdvial.gob.do/wp-content/uploads/2023/10/03.jpg'), linear-gradient(rgba(0, 0, 0, .8), rgba(0, 0, 0, .8));
    background-size: cover;
    background-attachment: fixed;
}

.inversionistas > .container{
    display: flex;
    width: 70%;
    margin-left: auto;
    margin-right: auto;
}

/* Menu */
.inversionistas > .container > .inversionistas-menu-container{
    width: 25%;
}
.inversionistas > .container > .inversionistas-menu-container > .inversionistas-nav-container{
    position: sticky;
    top: 2.5rem;
    margin-top: 16.5rem;
    background-color: #fff;

}
.inversionistas> .container > .inversionistas-menu-container > .inversionistas-nav-container > .menu-list{
    list-style: none;
    border-left: 1px solid #EE2A24;
}
.inversionistas > .container > .inversionistas-menu-container > .inversionistas-nav-container > .menu-list > .menu-item{
    position: relative;
    margin: .1rem .5rem;
    padding: .8rem;
    border-radius: .2rem;
    transition: background-color .4s ease-in-out;
    
}
.inversionistas > .container > .inversionistas-menu-container > .inversionistas-nav-container > .menu-list > .menu-item:hover{
    background-color: #EE2A24;
}
.inversionistas > .container > .inversionistas-menu-container > .inversionistas-nav-container > .menu-list > .menu-item:hover > a{
    color: #fff;
}
.inversionistas > .container > .inversionistas-menu-container > .inversionistas-nav-container > .menu-list > .menu-item > a{
    color: #22356C;
    text-decoration: none;
}

.inversionistas > .container > .inversionistas-menu-container > .inversionistas-nav-container > .menu-list > .current-menu-item{
    background-color: #EE2A24;
}
.inversionistas > .container > .inversionistas-menu-container > .inversionistas-nav-container > .menu-list > .current-menu-item > a{
    color: #fff;
}
.inversionistas > .container > .inversionistas-menu-container > .inversionistas-nav-container > .menu-list > .current-page-ancestor{
    background-color: #EE2A24;
}
.inversionistas > .container > .inversionistas-menu-container > .inversionistas-nav-container > .menu-list > .current-page-ancestor > a{
    color: #fff;
}

/* Contenido */
.inversionistas > .container > .inversionistas-contenido{
    width: 75%;
    background-color: #fff;
}
.inversionistas > .container > .inversionistas-contenido > .titulo-contenido{
    padding: 1rem;
    color: #22356C;
    background-color: #fff;
}
.inversionistas > .container > .inversionistas-contenido > .contenido{
    background-color: #fff;
}

/* ========================================== */
/* ===== Estilos a la carga de archivos =====*/
/* ========================================== */

.archivo{
    display: flex;
    margin: 1rem;
    padding: 1.5rem 0;
    box-shadow: 0 0 .2rem 0 rgba(0,0,0,.5);
}

.archivo > .archivo-icono{
    width: 15%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.archivo > .archivo-icono img{
    height: 2.6rem;
}

.archivo > .archivo-nombre{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    width: 50%;
}

.archivo > .archivo-detalles{
    width: 15%;
}
.archivo > .archivo-detalles > .detalles-imagen{
    display: flex;
    flex-flow: column;
    align-items: center;
    position: relative;
    height: 100%;
    cursor: pointer;
}
.archivo > .archivo-detalles > .detalles-imagen > i.fa-info{
    font-size: 2rem;
    text-align: center;
    border: 1px solid #EE2A24;
    padding: 0.5rem 1rem;
    border-radius: 0.2rem;
}
.archivo > .archivo-detalles > .detalles-imagen > .detalle-contenedor{
    padding: 1rem;
    width: 150%;
    position: absolute;
    top: 100%;
    border-radius: 0.2rem;
    box-shadow: 0 0 0.2rem 0 rgb(0,0,0, 0.5);
    display: none;
    transition: opacity .2s ease-in-out;
    background-color: #fff;
    z-index: 999;
}

.archivo > .archivo-detalles > .detalles-imagen:hover > .detalle-contenedor{
    display: block;
}

.archivo > .archivo-detalles > .detalles-imagen > .detalle-contenedor > ul.detalle{
    list-style: none;
}
.archivo > .archivo-detalles > .detalles-imagen > .detalle-contenedor > ul.detalle > li{
    padding: 0.5rem 0;
}
.archivo > .archivo-detalles > .detalles-imagen > .detalle-contenedor > ul.detalle > li.detalle-ver > a{
    text-decoration: none;
    color: #22356C;
}
.archivo > .archivo-detalles > .detalles-imagen > .detalle-contenedor > ul.detalle > li.detalle-ver:hover > a{
    text-decoration: line-through;
    color: #EE2A24;
}

.archivo > .descargar{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 20%;
}
.archivo > .descargar > .btn-descargar{
    border-style: none;
    border-radius: 0.2rem;
    box-shadow: 0 0 0.2rem;
    padding: 1rem;
    background-color: #22356C;
}
.archivo > .descargar > .btn-descargar > a{
    text-decoration: none;
    font-size: 1rem;
    color: #fff;
}

/* Media query */
@media screen and (min-width: 100px) and (max-width: 768px){
    .inversionistas > .container{
        width: 100%;
    }
    .inversionistas > .container > .inversionistas-menu-container{
        display: none;
    }

    .inversionistas > .container > .inversionistas-contenido{
        width: 100%;
    }
    .inversionistas > .container > .inversionistas-contenido > .contenido{
        padding: .5rem;
    }


    /* ====================================================================== */
    /* ========= Estilos a la carga de archivos en la versión móvil ========= */
    /* ====================================================================== */

    .archivo{
        display: flex;
        flex-direction: column;
        box-shadow: 0 0 0.2rem 0 rgb(0, 0, 0, .5);
        margin: 1rem 0;
        padding: 0.5rem;
        width: 100%;
    }

    .archivo > .archivo-icono{
        width: 100%;
        margin-left: auto;
        margin-right: auto;
        display: flex;
        justify-content: center;
    }
    .archivo > .archivo-icono img{
        width: 100%;
        height: auto;
    }

    .archivo > .archivo-nombre{
        display: none;
    }

    .archivo > .archivo-detalles{
        width: 100%;
    }
    .archivo > .archivo-detalles > .detalles-imagen{
        display: flex;
        padding: 2rem;
    }
    .archivo > .archivo-detalles > .detalles-imagen > i.fa-info{
        display: none;
    }
    .archivo > .archivo-detalles > .detalles-imagen > .detalle-contenedor{
        width: 100%;
        display: flex;
        justify-content: center;
        position: relative;
        box-shadow: none;
        transition: none;
    }

    .archivo > .archivo-detalles > .detalles-imagen > .detalle-contenedor > ul.detalle{
        list-style-type: disclosure-closed;
    }
    .archivo > .archivo-detalles > .detalles-imagen > .detalle-contenedor > ul.detalle > li{
        padding: 0.5rem 0;
    }
    .archivo > .archivo-detalles > .detalles-imagen > .detalle-contenedor > ul.detalle > li::marker{
        color: #EE2A24;
    }

    .archivo > .descargar{
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
    }
    .archivo > .descargar > .btn-descargar{
        border-style: none;
        border-radius: 0.2rem;
        box-shadow: 0 0 0.2rem;
        padding: 1rem;
        background-color: #22356C;
        width: 90%;
    }
    .archivo > .descargar > .btn-descargar > a{
        text-decoration: none;
        font-size: 1rem;
        color: #fff;
    }

}   
